<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>JS12</title>
</head>
<body>
  <button id="getCircleParam">Нарисовать круг</button>
  
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  
  
  <script>
      
    let drawCircle = function(){
        let d = document.getElementById('diameter').value;
        let color = document.getElementById('color').value;
        
        document.getElementById('getParamBlock').remove();
        let circle = document.createElement('button');
        circle.style.width = `${ d }px`;
        circle.style.height = `${ d }px`;
        circle.style.borderRadius = `${ d / 2 }px`;
        circle.style.backgroundColor = `${color}`;
        document.body.appendChild(circle);
        
    };
      
    let drawParamBlock = function(){
      let getParamBlock = document.createElement('div');  
      getParamBlock.setAttribute('id', 'getParamBlock');    
      getParamBlock.innerHTML = '<p>Введите диаметр круга:</p><br><input id="diameter" type="text" size="25"><p>Введите цвет круга:</p><br><input id="color" type="text" size="25"><br><button id="drawCircleButton">Нарисовать</button>'; 
      
      document.body.appendChild(getParamBlock); 
        
      document.getElementById('getCircleParam').remove();
         
      document.getElementById('drawCircleButton').addEventListener( 'click', drawCircle );  
    
    }; 
    
    
    document.getElementById('getCircleParam').addEventListener( 'click', drawParamBlock );
          
    
    
    
    
    
      
  </script>

</body>
</html>